This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 438637

Summary: yelp crashes on Ctrl+r (reload)
Product: [Fedora] Fedora Reporter: Paul W. Frields <stickster>
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: jonstanley
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: yelp-2.22.1-1.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-13 10:11:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
backtrace from yelp none

Description Paul W. Frields 2008-03-23 13:24:02 EDT
Description of problem:  SSIA.
Error message:
** Yelp:ERROR:(yelp-document.c:217):yelp_document_get_page: assertion failed:
(document != NULL && YELP_IS_DOCUMENT (document))


Version-Release number of selected component (if applicable):
2.22.0-2.fc9


How reproducible:
Every time.

Steps to Reproduce:
1. Open yelp
2. Hit Ctrl+r


Expected results:
Reload current document/page
Comment 1 Paul W. Frields 2008-03-23 13:35:14 EDT
Should have pointed out -- this doesn't happen with every single document, but
it happens reproducibly on the main "Help" yelp page.
Comment 2 Jon Stanley 2008-03-23 16:23:40 EDT
reproducible here - I'll provide a backtrace after 228MB of debuginfo gets done
downloading :)
Comment 3 Jon Stanley 2008-03-23 16:54:23 EDT
Created attachment 298869 [details]
backtrace from yelp
Comment 4 Paul W. Frields 2008-05-13 08:27:29 EDT
This looks to me to be fixed as of F-9 final.  Recommend closing this.
Comment 5 Matthew Barnes 2008-05-13 10:11:43 EDT
Thanks for the update.  Closing as CURRENTRELEASE.